package com.dtok.service;

import com.dtok.entity.Permission;
import com.dtok.entity.params.PermissionNode;

import java.util.List;

public interface PermissionService {

    void authPermission(List<PermissionNode> permissions, String roleCode);

    List<Permission> getTree();

    List<Permission> getTreeMenu();

    List<Permission> getTree(String userCode);
}
